function best_ever=StdGA(best_y,model,best_set_x,p_cross,p_size,iter)
% Std Genetic Algorithm as described in ParEGO with minor
% modifications. Uses standard elitist GA selection.
        
    % initialize
    d=size(best_set_x,2);
    pop = individual(best_set_x);
    
    % mutate initial points
    for i=1:length(pop)
        pop(i)=mutate(pop(i));
    end
   
    tmp=lhsdesign(p_size-length(pop),d); % remainder of pop are initialized via LHS.
    pop(length(pop)+1:p_size)=individual(tmp);

    % Calc EI
    pop = eval_ei(pop,best_y,model);
              
    for i=1:round(iter/p_size)
        child=individual(p_size); % preallocating for speed
        for j = 1:p_size
            if rand<p_cross %%% if crossover is performed
                parentA=tourn_select(pop,2);
                parentB=tourn_select(pop,2);
                while parentA==parentB
                    parentB=tourn_select(pop,2);
                end

                % crossover & mutate
                child(j) = crossover(child(j),pop(parentA).x,pop(parentB).x); 
                child(j) = mutate(child(j));  

            else %%% if crossover is not performed, clone instead
                % cloning
                parentA = tourn_select(pop,2);        

                % mutate
                child(j) = mutate(pop(parentA));
            end        
        end
        child = eval_ei(child,best_y,model); % evaluating
        tmp_pop = [pop child]; % Group pop and child
        
        for k = 1:p_size*2
            f_all(k) = tmp_pop(k).f;                        
        end
        [~,ind] = sort(f_all,'descend');
        pop = tmp_pop(ind(1:p_size)); % taking the best p_size (elitist selection)
    end   
    
    % Find the best solution in pop    
    best=-inf;best_i=0;
    for i=1:p_size        
        if pop(i).f>best
            best=pop(i).f;
            best_i=i;
        end
    end
    
    best_ever = pop(best_i).x;