classdef stepobj
    properties
        x
        f
        model
        lambda
    end
    
    methods
        function o = stepobj(F)
            % initializing the step object
            if nargin ~= 0
                o(F) = stepobj();
            end
        end
        
        function [o] = newlambda(o,weights)
            % Randomly select (with replacement) lambda values from a pregenerated list of lambdas.
            % s is predefined. 11 for 2 objective problems and 15 for 3 objective
            % problems.
            
            ind = randsample(size(weights,1),1);            
            o.lambda = weights(ind,:);
        end
        
        function flambda = calc_flambda(o)
            % calculating flambda
            for i=1:size(o.f,2)
                tmp(:,i)=o.f(:,i)*o.lambda(i);
            end
            lfsum=o.f*o.lambda';rho=0;
            flambda=max(tmp')'+rho*lfsum;
        end
               
        function o=dace(o,y,option,src_models)
            %% Building Transfer or No-Transfer Regression Model
            if strcmp(option,'transfer')  
                o.model = tsgp(o.x,y,src_models(:,1));
            else
                o.model = build_fitrgp(o.x,y);
            end
        end        

    end
end
