clear
clc
close all

addpath('Code','Problems','Src_models')

% Algorithm Parameters
opt.max_iter = 100; 

%% DTLZ3b   
% TEMO-MPS (TRANSFER)
opt.d = 8;
opt.n = 2*(opt.d+2); % initial population size
opt.M=3; % 3 Objective Problem 
opt.param = [10,1];
opt.problem = 'DTLZ3'; 
load('src_models_00_dtlz3b.mat')
opt.option = 'transfer'; 
results_dtlz3b_transfer=TEMO_MPS('dtlz3b',opt,src_models,opt.param);     
    
% ParEGO run (NO TRANSFER)
opt.option = 'notransfer'; 
results_dtlz3b_notransfer=TEMO_MPS('dtlz3b',opt,[],opt.param); 

%% Plotting Results
figure(1)
plot_results(results_dtlz3b_transfer.f,results_dtlz3b_notransfer.f,[150,150,150])

%% DTLZ1b
opt.d = 8;
opt.n = 2*(opt.d+2); % initial population size
opt.M=2; % 3 Objective Problem         
opt.param = [10,1];
opt.problem = 'DTLZ1'; 
load('src_models_00_dtlz1b.mat')
opt.option = 'transfer'; 
results_dtlz1b_transfer = TEMO_MPS('dtlz1b',opt,src_models,opt.param); 

% ParEGO run (NO TRANSFER)
opt.option = 'notransfer'; 
results_dtlz1b_notransfer=TEMO_MPS('dtlz1b',opt,[],opt.param); 

figure(2)
plot_results(results_dtlz1b_transfer.f,results_dtlz1b_notransfer.f,[75,75])
